using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;

namespace Music.Presentation.Navigation
{
    public class PageNavigator : IPageNavigator
    {

        #region IPageNavigator Members

        public void NavigateTo(PageDirectory page)
        {
            switch (page)
            {
                case PageDirectory.Playlist:
                    HttpContext.Current.Response.Redirect("/Views/Playlist/Playlist.aspx");
                    break;
                default:
                    throw new ApplicationException(
                        "Cannot navigate to " + page.ToString());
            }
        }

        #endregion
    }
}
